<?php

// Posts Grid Widget.
require get_template_directory() . '/inc/widgets/posts-grid-widget.php';

// Posts List Widget.
require get_template_directory() . '/inc/widgets/posts-list-widget.php';

// Posts Tile Widget.
require get_template_directory() . '/inc/widgets/posts-tile-widget.php';

// Posts Tile and List Widget.
require get_template_directory() . '/inc/widgets/posts-tile-and-list-widget.php';

// Trending Posts Widget.
require get_template_directory() . '/inc/widgets/trending-posts-widget.php';

// Social Icons Widget.
require get_template_directory() . '/inc/widgets/social-icons-widget.php';

/**
 * Register Widgets
 */
function claritymag_news_pro_register_widgets() {

	register_widget( 'Claritymag_News_Posts_Grid_Widget' );

	register_widget( 'Claritymag_News_Posts_List_Widget' );

	register_widget( 'Claritymag_News_Posts_Tile_Widget' );

	register_widget( 'Claritymag_News_Posts_Tile_And_List_Widget' );

	register_widget( 'Claritymag_News_Trending_Posts_Widget' );

	register_widget( 'Claritymag_News_Social_Icons_Widget' );

}
add_action( 'widgets_init', 'claritymag_news_pro_register_widgets' );
